Getting started with Angular Spreadsheet component

18 Nov 20225 minutes to read

This section explains the steps to create a simple Spreadsheet control with basic features in an Angular environment.

To get start quickly with Angular Spreadsheet using CLI, you can check on this video:

Dependencies

The following list of dependencies are required to use the Spreadsheet control in your application.

  |-- @syncfusion/ej2-angular-spreadsheet
      |-- @syncfusion/ej2-angular-base
      |-- @syncfusion/ej2-spreadsheet
          |-- @syncfusion/ej2-base
          |-- @syncfusion/ej2-dropdowns
          |-- @syncfusion/ej2-navigations
          |-- @syncfusion/ej2-grids

Setup Angular Environment

You can use Angular CLI to setup your Angular applications.
To install Angular CLI use the following command.

npm install -g @angular/cli

Create an Angular Application

Start a new Angular application using below Angular CLI command.

ng new my-app
cd my-app

Installing Syncfusion Spreadsheet package

Syncfusion packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion package from npm link.

Currently, Syncfusion provides two types of package structures for Angular components,

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-spreadsheet package to the application.

npm install @syncfusion/ej2-angular-spreadsheet --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-spreadsheet@ngcc package to the application.

npm install @syncfusion/ej2-angular-spreadsheet@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

@syncfusion/ej2-angular-spreadsheet:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Registering Spreadsheet Module

Import Spreadsheet module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-spreadsheet [src/app/app.module.ts].

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SpreadsheetAllModule } from '@syncfusion/ej2-angular-spreadsheet';
import { AppComponent } from './app.component';

@NgModule({
  imports:      [ BrowserModule, SpreadsheetAllModule ],
  declarations: [ AppComponent ],
  bootstrap:    [ AppComponent ]
})
export class AppModule { }

Adding CSS reference

The following CSS files are available in ../node_modules/@syncfusion package folder.
This can be referenced in [src/styles.css] using following code.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-spreadsheet/styles/material.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/material.css';

Add Spreadsheet control

Modify the template in [src/app/app.component.ts] file to render the spreadsheet component. Add the Angular Spreadsheet by using <ejs-spreadsheet> selector in template section of the app.component.ts file.

import { Component } from '@angular/core';

@Component({
  selector: 'app-container',
  // specifies the template string for the Spreadsheet control
  template: `<ejs-spreadsheet> </ejs-spreadsheet>`
})
export class AppComponent { }

Run the application

Use the following command to run the application in the web browser

ng serve

The following example shows a basic Spreadsheet component

import { Component } from '@angular/core';

@Component({
    selector: 'app-container',
    template: '<ejs-spreadsheet > </ejs-spreadsheet>'
})
export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { SpreadsheetAllModule } from '@syncfusion/ej2-angular-spreadsheet';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        SpreadsheetAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

You can refer to our Angular Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our Angular Spreadsheet example that shows you how present and manipulate data, including editing, formulas, formatting, importing, and exporting.

See Also

Getting Started

16 Mar 20233 minutes to read

This section explains the steps to create a simple Spreadsheet control with basic features in Vue environment.

Prerequisites

System requirements for Syncfusion Vue UI components

Dependencies

The following list of dependencies are required to use the Spreadsheet control in your application:

|-- @syncfusion/ej2-vue-spreadsheet
    |-- @syncfusion/ej2-vue-base
        |-- @syncfusion/ej2-base
        |-- @syncfusion/ej2-dropdowns
        |-- @syncfusion/ej2-navigations
        |-- @syncfusion/ej2-grids

Setup Vue Environment

You can use Vue CLI to setup your vue applications.
To install Vue CLI use the following commands.

npm install -g @vue/cli
npm install -g @vue/cli-init

Create a Vue Application

Start a new Vue application using below Vue CLI command.

vue init webpack-simple quickstart

cd quickstart
npm install

Adding Syncfusion Spreadsheet package

All the available Essential JS 2 packages are published in npmjs.com registry.

To install Spreadsheet control, use the following command

npm install @syncfusion/ej2-vue-spreadsheet --save

The –save will instruct NPM to include the spreadsheet package inside of the dependencies section of the package.json.

Registering Spreadsheet Control

You can register the Spreadsheet control in your application by using the Vue.use().

Refer to the code example given below.

import Vue from 'vue';
import { SpreadsheetPlugin } from '@syncfusion/ej2-vue-spreadsheet';

Vue.use(SpreadsheetPlugin);
export default {}

Registering SpreadsheetPlugin in vue, will register the Spreadsheet component along with its required child directives globally.

Adding CSS Reference

import components CSS as given below in style section of the App.vue file. Here Material theme is used for this sample.

<style>
  @import '../node_modules/@syncfusion/ej2-base/styles/material.css';  
  @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';  
  @import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';  
  @import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';  
  @import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
  @import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/material.css";
</style>

Adding Spreadsheet Control

Add the Vue Spreadsheet by using ejs-spreadsheet selector in template section of the App.vue file.

<template>
  <ejs-spreadsheet> </ejs-spreadsheet>
</template>

<script>
import Vue from 'vue';
import { SpreadsheetPlugin } from '@syncfusion/ej2-vue-spreadsheet';

Vue.use(SpreadsheetPlugin);
export default { }
</script>

Run the application

The Vue Spreadsheet application is configured to compile and run the application in a browser. Use the following command to run the application.

npm run dev
<template>
   <ejs-spreadsheet></ejs-spreadsheet>
</template>

<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";

Vue.use(SpreadsheetPlugin);
export default { }
</script>

<style>
 @import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/material.css";
 @import '../node_modules/@syncfusion/ej2-base/styles/material.css';  
 @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';  
 @import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';  
 @import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';  
 @import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
 @import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
 @import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
 @import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
 @import "../node_modules/@syncfusion/ej2-spreadsheet/styles/material.css";
</style>

You can refer to our Vue Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our Vue Spreadsheet example that shows you how to present and manipulate data.

See Also

Getting Started
1 Dec 20233 minutes to read
This section explains the steps to create a simple Spreadsheet component in a React application.
To get start quickly with React Spreadsheet, you can check on this video:
Dependencies
The following list of dependencies are required to use the Spreadsheet component in your application:
|-- @syncfusion/ej2-react-spreadsheet
|-- @syncfusion/ej2-react-base
|-- @syncfusion/ej2-spreadsheet
|-- @syncfusion/ej2-base
|-- @syncfusion/ej2-dropdowns
|-- @syncfusion/ej2-navigations
|-- @syncfusion/ej2-grids
Setup for Local Development
You can use create-react-app
to setup the applications and run the following command to install create-react-app.
npm install -g create-react-app
Run the following command to setup the basic React
samples.
create-react-app quickstart --scripts-version=react-scripts-ts
cd quickstart
npm install
Adding Syncfusion packages
All the available Essential JS 2 packages are published in npmjs.com
public registry. To install Spreadsheet component use the following command.
npm install @syncfusion/ej2-react-spreadsheet --save
Adding CSS reference
Add components style as given below in src/App.css
.
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
@import '../node_modules/@syncfusion/ej2-react-spreadsheet/styles/material.css';
To refer
App.css
in the application then import it in thesrc/App.tsx
file.
Adding Spreadsheet component
Now, you can import the spreadsheet component into your src/App.tsx
file.
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
import './App.css';
export default function App() {
return (<SpreadsheetComponent/>);
}
Run the application
The create-react-app will pre-configure the project to compile and run the application in browser. Use the following command to run the application.
npm start
The following example shows a basic spreadsheet component.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
export default function App() {
return (<SpreadsheetComponent />);
}
const root = createRoot(document.getElementById('root'));
root.render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
export default function App() {
return (<SpreadsheetComponent />);
}
const root = createRoot(document.getElementById('root')!);
root.render(<App />);
You can refer to our React Spreadsheet feature tour page for its groundbreaking feature representations. You can also explore our React Spreadsheet example that shows you how to present and manipulate data.